package io.gisbi.application.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

/**
 * <p>
 * 角色
 * </p>
 *
 * @author lilin
 * @since 2025-05-08
 */
@Getter
@Setter
@TableName("app_role")
public class Role {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;
    /**
     * 应用ID 关联应用系统
     */
    private String appId;
    /**
     * 角色编号 系统生成，三位编号
     */
    private String rolecode;
    /**
     * 角色名称
     */
    private String rolename;
    /**
     * 角色类别 1-应用管理员 2-应用普通用户
     */
    private String type;
    /**
     * 角色描述
     */
    private String description;
    /**
     * 是否有效 1-是 0-否
     */
    private String isvaild;
    /**
     * 最近修改者
     */
    private String lastmodifier;
    /**
     * 最近修改日期
     */
    private LocalDateTime lastmodifydate;
    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

}
